// packages/php-wasm/web-builds/8-0/src/index.ts
import { jspi } from "wasm-feature-detect";
async function getPHPLoaderModule() {
  if (await jspi()) {
    return await import("./jspi/php_8_0.js");
  } else {
    return await import("./asyncify/php_8_0.js");
  }
}
async function getIntlExtensionPath() {
  if (await jspi()) {
    return (await import("./jspi/extensions/intl/intl.so?url")).default;
  } else {
    return (await import("./asyncify/extensions/intl/intl.so?url")).default;
  }
}
export {
  getIntlExtensionPath,
  getPHPLoaderModule,
  jspi
};
